---
layout: markdown_page
title: People Operations Vision
---

## On this page
{:.no_toc}

- TOC
{:toc}

## Engaged team

1. Visibility in eNPS across the company on a rolling basis, per division and team.
  1. If eNPS is off asked more detailed questions, while staying concise and DRY.
  1. Consistently and quickly address shortfalls with training sessions.
  1. Have a yearly [12 question engagement survey](http://www.goalbusters.net/uploads/2/2/0/4/22040464/gallup_q12.pdf) for more robust engagement data.
  1. Be respectful of people's time, only ask detailed and frequent queries when actionable/needed.
1. Above average retention of underrepresented team members.

## Industry leading hiring practices

1. Attract and hire people that are a great fit for the role and our company.
1. Make sure candidates have a great experience.
1. Make effective hiring decisions.
  1. Test candidates during the interview process to ensure we hire the most capable people, not just those who happen to interview well.
  1. Hire the right person for the right role at the right time.
  1. Consider local pay in sourcing and hiring.
1. Data driven hiring process.
1. Sourcing for all positions:
  1. 80% outbound
  1. 20% inbound
1. Actively hire globally.
1. Define a candidate centric interview process.
  1. Review Interview questions with a team when creating the position.
  1. Regularly evaluate interview questions with team for effectiveness based on data from previous candidates and competencies required for the position.
  1. Evaluate interviewers for effectiveness based on data from previous candidates and hired team members ([ELO rating](https://en.wikipedia.org/wiki/Elo_rating_system) for interviewers). Everyone at GitLab should be able to [conduct interviews](https://gitlab.com/gitlab-com/peopleops/issues/305).

## Be a preferred employer

1. Leverage brand awareness, established channels and network to promote and communicate the successes and challenges of a fully distributed model.
1. Organize a remote only conference.
1. Be globally recognized as the first and the largest remote only company and the thought leader.
1. Increase recognition and distinction from competitors.

## Effective onboarding

1. Ensure every team member has an engaging, educational, and enjoyable onboarding experience (onboarding NPS).
1. Offer people [money to leave](https://www.bloomberg.com/news/articles/2008-09-16/why-zappos-offers-new-hires-2-000-to-quitbusinessweek-business-news-stock-market-and-financial-advice).
1. Detect underperformance during onboarding.
1. Incorporate more social team connection and automation into onboarding process.
  1. Provide training about git on the command line that is interactive instead of intimidating.
  1. Create opportunities for more personal connection and investment in the individual.

## GitLab workflow

1. Have clear processes to maintain compliance with all mandates.
1. Be as flexible as possible while keeping the organization safe from harm
1. Using product and processes (issue boards and sprints).
1. Create and deliver product aligned with the business.
1. Default to [transparency](/handbook/values/#sts=Transparency). Only make something confidential if it is explicitly so.

## Compliant

1. Establish a clear set of governance and procedural obligations to maintain compliance with all local, state, federal and country specific mandates.
1. Leverage visa's as a recruiting and retention tool (unique that you can prove by contributing (rather than by credentials), and that we will hire you in other countries).
1. Living campus in the Netherlands for recent immigrants.

## Learning & Development

1. Create career paths for people to clearly see future opportunities, describe how and when to get there.
1. Create (leadership) development programs regarded as best in class and a reason to join the company.
1. Have a lightweight self serve process to add courses.
1. Let people show off what courses they did and [gamify](https://en.wikipedia.org/wiki/Gamification) it.
1. Courses are used extensively by the wider community (users, contributors, resellers, candidates).
1. Have tests that are easy to make and take.
1. Great volume of new and updated courses.
1. Record every course and make available to everyone.
1. Have [plenty of guest speakers and cover broad subjects](http://tomtunguz.com/continuing-education-picasso/)

## Compensation

1. Develop a model regarded as fair, competitive, and attractive for each respective cohort (Individual, Manager, Executive, Sales).
1. Reward people for results.
1. Encourage model behaviors using incentive programs.
1. Pay what we need to get and keep great people.
1. Preference for low cost locations; communicate this as a representation of our values (Frugality, but also Diversity).

## Benefits

1. Demonstrate care for the health and welfare of team members.
1. Create wellness program that can be implemented remotely for all team members.
1. Attractive and responsible employer that provides freedom and equality while getting the maximum out of every dollar spent.
1. Freedom for the team member (no 401k employer contribution, etc.)
  1. Team member interested 401k: 100 base, 10 payment, 10 employer match, 110 total
  1. Team member not interested: 100 base, 100 total
  1. Fair solution: 110 base for both, provide resources for everyone without a 401k to talk to a financial advisor.
1. Freelancers and employees treated as similar as possible within the law.
